SdSpiDriver.h File Reference

SpiDriver classes. More...

`#include <Arduino.h>`
`#include "SPI.h"`
`#include "SdSpiCard/SdSpiBaseDriver.h"`
`#include "SdFatConfig.h"`
Include dependency graph for SdSpiDriver.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | SdSpiAltDriver
| Optimized SPI class for access to SD and SDHC flash memory cards. More...
class | SdSpiLibDriver
| SdSpiLibDriver - use standard SPI library. More...
class | SdSpiSoftDriver< MisoPin, MosiPin, SckPin >
| Software SPI class for access to SD and SDHC flash memory cards. More...

## Typedefs

typedef SdSpiLibDriver | SdFatSpiDriver
typedef SdFatSpiDriver | SdSpiDriver

## Detailed Description

SpiDriver classes.

## Typedef Documentation

typedef SdSpiLibDriver SdFatSpiDriver

SdFat uses Arduino library SPI.

typedef SdFatSpiDriver SdSpiDriver

typedef for for SdSpiCard class.